# $Id: Makefile.am,v 1.3 1999/09/29 05:57:49 admin Exp $

SUBDIRS = pool 
noinst_PROGRAMS = package
package_SOURCES = AdaptiveController.java Container.java \
ControlledContainer.java Controller.java ControllerFactory.java \
DefaultController.java GaussianController.java LimitedContainer.java \
MinMaxController.java Recyclable.java RecycleBin.java \
RecycleBinIsEmpty.java RecycleBinIsFull.java

JAVACX = @JAVACX@

SUFFIXES = .java .class

.java.class:
	@ ${ECHO} "Compiling $< ..."
	@ ${JAVACX} $<

package: $(package_OBJECTS) $(package_DEPENDENCIES)

clean-compile:

	rm -f *.class

clean-generic:

	rm -f *~

